Page MenuHomePhabricator

VisualEditor JavaScript and tests should only be added if VisualEditor is installed
Closed, ResolvedPublic

Description

According to Antoine when he runs the tests using the following extensions together:

  • JsonConfig
  • Mantle
  • MobileApp
  • MobileFrontend
  • WikiGrok
  • ZeroBanner
  • ZeroPortal

This yields two failures:

ResourcesTest::testMissingDependencies
The module 'ext.visualEditor.mobileViewTarget' required by
'mobile.editor.ve' must exist
Failed asserting that an array contains 'ext.visualEditor.mobileViewTarget'.

ResourcesTest::testUnsatisfiableDependencies
Undefined index: ext.visualEditor.mobileViewTarget

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: Readers-Web-Backlog.
Jdlrobson changed Security from none to None.
Jdlrobson added a subscriber: Jdlrobson.
hashar added a subscriber: hashar.Dec 19 2014, 9:37 PM

Change 181403 had a related patch set uploaded (by Florianschmidtwelzow):
Don't add VisualEditor related modules if VE isn't installed

https://gerrit.wikimedia.org/r/181403

Patch-For-Review

Florian claimed this task.Dec 22 2014, 2:06 PM

Change 181403 merged by jenkins-bot:
Don't add VisualEditor related modules if VE isn't installed

https://gerrit.wikimedia.org/r/181403

Florian closed this task as Resolved.Dec 24 2014, 7:01 PM